/*******************************************************************************
*  skMonitorUART - PICUSARTɂăfobOj^[s֐Cu[        *
*                                                                              *
*    MonitorPuts - fobOj^[ɕ𑗐M鏈                      *
*    MonitorPutb - fobOj^[ɂQiőM鏈                      *
*    MonitorPuth - fobOj^[ɂPUiőM鏈                    *
*                                                                              *
*  note : ̃vOɂskUARTlib.c/skUARTlib.hKvłB                *
*         j^[̓p\RŃVAʐM(COM)\łc[ōs܂B  *
*         ڑ́APIC-(USART)-MAX232-(RS232C)-PC(COM)-VAʐM\c[   *
*                 PIC-(USART)-FT232R-(USB)-PC(COMϊ)-VAʐM\c[  *
* ============================================================================ *
*  VERSION DATE        BY                    CHANGE/COMMENT                    *
* ---------------------------------------------------------------------------- *
*  1.00    2013-01-22  ޒH[(ނ)  Create                            *
* ============================================================================ *
*  MPLAB IDE(V8.84)                                                            *
*  MPLAB(R) XC8 C Compiler Version 1.00                                        *
*******************************************************************************/
#include <xc.h>
#include <string.h>
#include "skMonitorUART.h"
#include "skUARTlib.h"


/*******************************************************************************
*  MonitorPuts(s)                                                              *
*    fobOj^[ɕ𑗐M鏈                                    *
*                                                                              *
*    s : \镶w肵܂iNULL܂ŏój                            *
*******************************************************************************/
void MonitorPuts(const char * s)
{
     int n ;

     n = strlen(s) ;    // ̒𒲂ׂ
     UART_Send(s,n) ;
}
/*******************************************************************************
*  MonitorPutb(c)                                                              *
*    fobOj^[ɂQiőM鏈                                    *
*    PoCg̐lQiɕϊăj^[֏o͂܂                    *
*                                                                              *
*    c : \PoCg̐lw肵܂                                    *
*                                                                              *
*******************************************************************************/
void MonitorPutb(unsigned char c)
{
     int i ;

     for (i=7 ; i>=0 ; i--) {
          if ( ((c >> i) & 0x1) == 1) UART_Send("1",1) ;
          else                        UART_Send("0",1) ;
     }
}
/*******************************************************************************
*  MonitorPuth(c)                                                              *
*    fobOj^[ɂPUiőM鏈                                  *
*    PoCg̐lPUiɕϊăj^[֏o͂܂                  *
*                                                                              *
*    c : \PoCg̐lw肵܂                                    *
*                                                                              *
*******************************************************************************/
void MonitorPuth(unsigned char c)
{
     const char HEX_Data[16] = {'0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'} ;

     UART_Send(&HEX_Data[ c >> 4 ],1) ;
     UART_Send(&HEX_Data[ c & 0x0F ],1) ;
}
